XFuNetworkEventHandler class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuNetworkEventHandler Class Reference

Interface for receiving communication events. More...

`#include <XFuNetworkEventHandler.h>`

List of all members.

## Public Member Functions

virtual | ~XFuNetworkEventHandler ()
| Virtual destructor.
virtual void | handleClientAccepted (INT32)
| Gets called when a new client has been accepted.
virtual void | handleClientLost (INT32)
| Gets called when the connection to a client has been lost.
virtual void | handleDeviceDiscovered (const XFcHostEntry *)
| Gets called when the device list is received.
virtual void | handleAdvertiseDiscovered (const XFcAdvertiser *)
| Gets called when the advertise list is received.

## Detailed Description

Interface for receiving communication events.

Definition at line 20 of file XFuNetworkEventHandler.h.

## Constructor & Destructor Documentation

virtual XFuNetworkEventHandler::~XFuNetworkEventHandler | ( |  | ) | `[inline, virtual]`

| Virtual destructor. Definition at line 26 of file XFuNetworkEventHandler.h.

## Member Function Documentation

virtual void XFuNetworkEventHandler::handleAdvertiseDiscovered | ( | const XFcAdvertiser * |  | ) | `[inline, virtual]`

| Gets called when the advertise list is received. Definition at line 38 of file XFuNetworkEventHandler.h. Referenced by XFuInetNetwork::deviceDiscovery(), XFuBluetoothNetwork::deviceDiscovery(), and XFuBluetoothMultiNetwork::deviceDiscovery().

virtual void XFuNetworkEventHandler::handleClientAccepted | ( | INT32 |  | ) | `[inline, virtual]`

| Gets called when a new client has been accepted. Definition at line 29 of file XFuNetworkEventHandler.h. Referenced by XFuInetNetwork::handleSender(), XFuBluetoothNetwork::handleSender(), and XFuBluetoothMultiNetwork::handleSender().

virtual void XFuNetworkEventHandler::handleClientLost | ( | INT32 |  | ) | `[inline, virtual]`

| Gets called when the connection to a client has been lost. Definition at line 32 of file XFuNetworkEventHandler.h. Referenced by XFuInetNetwork::clientLost(), XFuBluetoothNetwork::clientLost(), and XFuBluetoothMultiNetwork::clientLost().

virtual void XFuNetworkEventHandler::handleDeviceDiscovered | ( | const XFcHostEntry * |  | ) | `[inline, virtual]`

| Gets called when the device list is received. Definition at line 35 of file XFuNetworkEventHandler.h. Referenced by XFuBluetoothNetwork::deviceDiscovery(), and XFuBluetoothMultiNetwork::deviceDiscovery().

The documentation for this class was generated from the following file:

- XFuNetworkEventHandler.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch